PHP 7.1.12 Released

PHP'nin Temini

Bu bölümde PHP'nin indirilebileceği yerler ve işletmi sistemleri hakkında sorulara yer verilmiştir.

PHP'yi nereden edinebilirim?

PHP'yi PHP ağına üye sitelerden indirebilirsiniz. Bunları » http://www.php.net/ adresinde bulabilirsiniz. Ayrıca, kaynak kodların en son halini anonim Git kullanarak alabilirsiniz; daha fazla bilgi için » http://www.php.net/git.php adresine bakınız.

Derlenmiş paketler var mı?

Derlenmiş çalıştırılabilirleri sadece Windows sistemler için dağıtıyoruz. Her Linux/Unix platformu için eklentileriyle birlikte PHP derlememiz mümkün değil. Ayrıca, bugünlerde çoğu Linux dağıtımı derlenmiş PHP paketleriyle gelmektedir. Windows çalıştırılabilir paketleri » İndirme sayfamızdan indirilebilir. Derlenmiş Linux paketleri için dağıtımınızın sitesine bakınız.

Bazı seçimlik PHP eklentilerini derlemek için gerekli kütüphaneleri nereden temin edebilirim?

Bilginize: Aşağıdakilerden * imli olanlar çok evreli kütüphaneler değildir ve çok evreli ortamlarda bir sunucu modülü olarak kullanımı önerilmemektedir.

PHP'nin bu kütüphanelerle çalışmasını nasıl sağlarım?

Kütüphane ile sağlanmış talimatları izlemeniz gerekir. Bu kütüphanelerin bazıları PHP'nin 'configure' betiği çalıştırıldığı zaman özdevinimli olarak algılanır (örneğin GD kütüphanesi), bazıları da 'configure' betiğine '--with-EKLENTİ seçeneği ile belirtilir. Bunların tam listesini almak için 'configure --help' komutunu verin.

Windows makinem için PHP'nin kaynak kodunun en son sürümünü Git'ten aldım; derlemek için neye ihtiyacım var?

En son derleme adımları için PHP Wikisine bakınız: » Adım adım derleme

Tarayıcı Yetenekleri Dosyasını nereden bulabilirim?

browscap.ini dosyasını » http://browscap.org/ adresinde bulabilirsiniz.

PHP karşıdan indirme yaparken güvenli evreleme ne yapar?

Güvenli Evreleme (Thread Safety), o çalıştırılabilirin bir çok evreli HTTP sunucusunda çalışabileceği anlamına gelir, mesela Windows üzerinde Apache 2 gibi. Güvenli Evreleme her evrenin bir yerel kopyasını oluşturarak çalışır, yani veri başka bir evrenin verisine karışmaz.

O halde seçiminiz ne olmalı? Eğer PHP'yi bir CGI çalıştırılabiliri olarak çalıştırırsanız güvenli evrelemeye ihtiyacınız olmaz, çünkü her istekte başka bir çalıştırılabilir kullanılır. IIS5, IIS6 gibi çok evreli HTTP sunucularında PHP'nin evreli sürümünü kullanmalısınız.

add a note add a note

User Contributed Notes 1 note

up
-40
Anonymous
4 years ago
installation instructions are inside the downloaded zip of php
To Top